package com.simuwang.base.pojo.dos;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("fund_indicator")
public class FundIndicatorDO{
   /**
   *主键ID
   */
   @TableId(value="id")
   private Integer id;
   /**
    *大赛ID
    */
   @TableId(value="competition_id")
   private Integer competitionId;
   /**
   *基金id
   */
   @TableField(value="fund_id")
   private String fundId;
   /**
   *计算时段,年份-月份:月度，年份季度:季度，all:总榜单，2years:两年榜，fir_halfyear:上半年，sec_halfyear:下半年
   */
   @TableField(value="priod")
   private String priod;
   /**
   *区间收益率
   */
   @TableField(value="ret")
   private BigDecimal ret;
   /**
   *年化收益率
   */
   @TableField(value="ret_a")
   private BigDecimal retA;
   /**
   *最大回撤
   */
   @TableField(value="maxdrawdown")
   private BigDecimal maxdrawdown;
   /**
   *胜率
   */
   @TableField(value="winrate")
   private BigDecimal winrate;
   /**
   *阿尔法
   */
   @TableField(value="alpha")
   private BigDecimal alpha;
   /**
   *信息比率
   */
   @TableField(value="info_ratio")
   private BigDecimal infoRatio;
   /**
   *夏普比率
   */
   @TableField(value="sharperatio")
   private BigDecimal sharperatio;
   /**
   *索提诺比率
   */
   @TableField(value="sortinoratio")
   private BigDecimal sortinoratio;
   /**
   *卡玛比率
   */
   @TableField(value="calmarratio")
   private BigDecimal calmarratio;
   /**
   *超额区间收益
   */
   @TableField(value="excess_geometry")
   private BigDecimal excessGeometry;
   /**
   *超额年化标准差
   */
   @TableField(value="excess_stddev")
   private BigDecimal excessStddev;
   /**
   *超额最大回撤
   */
   @TableField(value="excess_maxdrawdown")
   private BigDecimal excessMaxdrawdown;
   /**
   *超额胜率
   */
   @TableField(value="excess_winrate")
   private BigDecimal excessWinrate;
   /**
   *超额夏普比率
   */
   @TableField(value="excess_sharperatio")
   private BigDecimal excessSharperatio;
   /**
   *超额卡玛比率
   */
   @TableField(value="excess_calmarratio")
   private BigDecimal excessCalmarratio;
   /**
   *产品规模
   */
   @TableField(value="product_scale")
   private BigDecimal productScale;
   /**
   *记录的有效性；1-有效；0-无效； 
   */
   @TableField(value="isvalid")
   private Integer isvalid;
   /**
   *创建者Id,默认第一次创建者名称，创建后不变更
   */
   @TableField(value="creatorid")
   private Integer creatorId;
   /**
   *创建时间,默认第一次创建的getdate()时间
   */
   @TableField(value="createtime")
   private Date createTime;
   /**
   *修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
   */
   @TableField(value="updaterid")
   private Integer updaterId;
   /**
   *修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
   */
   @TableField(value="updatetime")
   private Date updateTime;
}