package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("rc_competition_result")
public class RcCompetitionResultDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 大赛Id
     */
    @TableField(value = "competition_id")
    private Integer competitionId;
    /**
     * 榜单周期:年份-月份:月度，年份季度:季度，all:总榜单，2years:两年榜，fir_halfyear:上半年，sec_halfyear:下半年
     */
    @TableField(value = "priod")
    private String priod;
    /**
     * 策略id
     */
    @TableField(value = "strategy")
    private Integer strategy;
    /**
     * 得分排名
     */
    @TableField(value = "rank")
    private Integer rank;
    /**
     * 综合得分
     */
    @TableField(value = "score")
    private BigDecimal score;
    /**
     * 基金id
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 基金备案编号
     */
    @TableField(value = "fund_register_number")
    private String fundRegisterNumber;
    /**
     * 基金名称
     */
    @TableField(value = "fund_name")
    private String fundName;
    /**
     * 基金简称
     */
    @TableField(value = "fund_short_name")
    private String fundShortName;
    /**
     * 公司id
     */
    @TableField(value = "company_id")
    private String companyId;
    /**
     * 公司备案编号
     */
    @TableField(value = "company_register_number")
    private String companyRegisterNumber;
    /**
     * 公司名称
     */
    @TableField(value = "company_name")
    private String companyName;
    /**
     * 公司简称
     */
    @TableField(value = "company_short_name")
    private String companyShortName;
    /**
     * 期末净值日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 期末累计净值
     */
    @TableField(value = "cumulative_nav_withdrawal")
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 期初净值日期
     */
    @TableField(value = "pre_price_date")
    private Date prePriceDate;
    /**
     * 期初累计净值
     */
    @TableField(value = "pre_cumulative_nav_withdrawal")
    private BigDecimal preCumulativeNavWithdrawal;
    /**
     * 产品规模
     */
    @TableField(value = "product_scale")
    private BigDecimal productScale;
    /**
     * 区间收益率
     */
    @TableField(value = "ret")
    private BigDecimal ret;
    /**
     * 年化收益率
     */
    @TableField(value = "ret_a")
    private BigDecimal retA;
    /**
     * 最大回撤
     */
    @TableField(value = "maxdrawdown")
    private BigDecimal maxdrawdown;
    /**
     * 卡玛比率
     */
    @TableField(value = "calmarratio")
    private BigDecimal calmarratio;
    /**
     * 夏普比率
     */
    @TableField(value = "sharperatio")
    private BigDecimal sharperatio;
    /**
     * 索提诺比率
     */
    @TableField(value = "sortinoratio")
    private BigDecimal sortinoratio;
    /**
     * 阿尔法比率
     */
    @TableField(value = "alpha")
    private BigDecimal alpha;
    /**
     * 周胜率
     */
    @TableField(value = "winrate")
    private BigDecimal winrate;
    /**
     * 信息比率
     */
    @TableField(value = "info_ratio")
    private BigDecimal infoRatio;
    /**
     * 超额区间收益
     */
    @TableField(value = "excess_ret")
    private BigDecimal excessRet;
    /**
     * 超额最大回撤
     */
    @TableField(value = "excess_maxdown")
    private BigDecimal excessMaxdown;
    /**
     * 超额周胜率
     */
    @TableField(value = "excess_winrate")
    private BigDecimal excessWinrate;
    /**
     * 超额卡玛比率
     */
    @TableField(value = "excess_calmarratio")
    private BigDecimal excessCalmarratio;
    /**
     * 超额夏普比率
     */
    @TableField(value = "excess_sharperatio")
    private BigDecimal excessSharperatio;
    /**
     * 超额波动率
     */
    @TableField(value = "excess_stddev")
    private BigDecimal excessStddev;
    /**
     * 公司规模
     */
    @TableField(value = "company_scale")
    private Integer companyScale;
    /**
     * 是否开户:0-否,1-是
     */
    @TableField(value = "is_open_account")
    private Integer isOpenAccount;
    /**
     * 是否开户:0-否,1-是
     */
    @TableField(value = "is_open_account2")
    private Integer isOpenAccount2;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}