package com.simuwang.manage.api.email;

import com.simuwang.manage.service.FundAliasService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("/v1/fund-alias")
public class FundAliasController {

    private final FundAliasService fundAliasService;

    public FundAliasController(FundAliasService fundAliasService) {
        this.fundAliasService = fundAliasService;
    }

    /**
     * 通过别名更新基金净值和规模数据
     *
     * @param date 日期
     * @return /
     */
    @GetMapping("/update-fund-nav")
    public ResultVo<Void> updateFundNavAndAsset(@RequestParam(name = "date") String date) {
        fundAliasService.updateFundNavAndAsset(date);
        return null;
    }

    /**
     * 导入文件更新基金别名
     *
     * @param file 文件
     * @return /
     */
    @PostMapping("/update")
    public ResultVo<String> updateFundAlias(@RequestParam(name = "file") MultipartFile file) {
        return ResultVo.ok(fundAliasService.updateFundAlias(file));
    }

}
